<?xml version="1.0" encoding="UTF-8"?>
<!--
DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.

Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.

Oracle and Java are registered trademarks of Oracle and/or its affiliates.
Other names may be trademarks of their respective owners.


The contents of this file are subject to the terms of either the GNU
General Public License Version 2 only ("GPL") or the Common
Development and Distribution License("CDDL") (collectively, the
"License"). You may not use this file except in compliance with the
License. You can obtain a copy of the License at
http://www.netbeans.org/cddl-gplv2.html
or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
specific language governing permissions and limitations under the
License.  When distributing the software, include this License Header
Notice in each file and include the License file at
nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
particular file as subject to the "Classpath" exception as provided
by Oracle in the GPL Version 2 section of the License file that
accompanied this code. If applicable, add the following below the
License Header, with the fields enclosed by brackets [] replaced by
your own identifying information:
"Portions Copyrighted [year] [name of copyright owner]"

Contributor(s):

The Original Software is NetBeans. The Initial Developer of the Original
Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
Microsystems, Inc. All Rights Reserved.

If you wish your version of this file to be governed by only the CDDL
or only the GPL Version 2, indicate your decision by adding
"[Contributor] elects to include this software in this distribution
under the [CDDL or GPL Version 2] license." If you do not indicate a
single choice of license, a recipient has the option to distribute
your version of this file under either the CDDL, the GPL Version 2 or
to extend the choice of license to its licensees as provided above.
However, if you add GPL Version 2 code and therefore, elected the GPL
Version 2 license, then the option applies only if the new code is
made subject to such option by the copyright holder.
-->
<?xml-stylesheet type="text/xml" href="../nbbuild/javadoctools/apichanges.xsl"?>
<!DOCTYPE apichanges PUBLIC "-//NetBeans//DTD API changes list 1.0//EN" "../nbbuild/javadoctools/apichanges.dtd">

<apichanges>

    <!-- First, a list of API names you may use: -->
    <apidefs>
        <apidef name="recent">Project UI</apidef>
    </apidefs>

    <changes>
        <change id="TemplateCategorySorter">
            <api name="recent"/>
            <summary>Added <code>TemplateCategorySorter</code></summary>
            <version major="1" minor="40"/>
            <date year="2012" month="12" day="11"/>
            <author login="mkleint"/>
            <compatibility addition="yes"/>
            <description>
                <p>
                    Added a new SPI interface <code>TemplatesCategorySorter</code> allowing to post process the order of template categories for given project.
                    Implementations of this interface are to be put into project's lookup. If not present, standard layer ordering rules apply.
                </p>
            </description>
            <class package="org.netbeans.modules.project.ui.spi" name="TemplateCategorySorter"/>
            <issue number="206126"/>
        </change>
        <change id="ProjectTemplates">
            <api name="recent"/>
            <summary>Added <code>ProjectTemplates</code></summary>
            <version major="1" minor="32"/>
            <date year="2011" month="12" day="1"/>
            <author login="jglick"/>
            <compatibility addition="yes">
                <p>
                    Undocumented tricks like trying to call <code>NewProject.newSample</code>
                    by reflection will no longer work.
                </p>
            </compatibility>
            <description>
                <p>
                    Added a new class of constants to use with the New Project action.
                </p>
            </description>
            <class package="org.netbeans.modules.project.ui.api" name="ProjectTemplates"/>
        </change>
        <change id="BuildActions">
            <api name="recent"/>
            <summary>Externalize Build related action registration.</summary>
            <version major="1" minor="15"/>
            <date day="20" month="7" year="2008"/>
            <author login="mkleint"/>
            <compatibility addition="yes"/>
            <description>
                <p>
                    For certain distributions of NetBeans (PHP or Ruby), actions like "Build project" or "Rebuild project" make no sense in the
                    main menu. Therefore the layer registration for these actions was moved to projectui.buildmenu module
                    which provides token "BuildActions". If a certain distribution requires these actiosn to be present it shall
                    require this token. Java and CND do now.
                </p>
            </description>
            <issue number="140731"/>
        </change>
        <change id="project.tab.no.selection">
            <api name="recent"/>
            <summary>Don't open project view component in bluej edition.</summary>
            <version major="1" minor="12"/>
            <date day="1" month="2" year="2007"/>
            <author login="mkleint"/>
            <compatibility addition="yes"/>
            <description>
                <p>
         Use system property "project.tab.no.selection" for influencing the behaviour on creation or opening of projects.
         When this property is set, the opening/creating of projects doesn't trigger 
         opening and focusing of the projects logical view  top component.
         Allows the BlueJ Edition to focus it's own component instead.
                </p>
            </description>
            <!--class package="org.netbeans.modules.project.ui.actions" name="NewProject"/>
            <class package="org.netbeans.modules.project.ui.actions" name="OpenProject"/-->
            <issue number="78746"/>
        </change>
        
        <change id="RecentProjects">
            <api name="recent"/>
            <summary>Provide a way to get list of information about recent projects.</summary>
            <version major="1" minor="9"/>
            <date day="20" month="3" year="2006"/>
            <author login="mkubec"/>
            <compatibility addition="yes"/>
            <description>
                <p>
                    Added <code>RecentProjects</code> class that provides access to list of
                    recently used projects (<code>UnloadedProjectInformation</code> class). 
                    Listener can be registered to be notified about change in the 
                    list of recent projects. The API is only for friend access.
                </p>
            </description>
            <class package="org.netbeans.modules.project.ui.api" name="RecentProjects"/>
            <issue number="57073"/>
        </change>
    </changes>

    <!-- Now the surrounding HTML text and document structure: -->

    <htmlcontents>
        <!-- Generated from apichanges.xml -->
        <head>
            <title>Change History for the Project UI</title>
            <link rel="stylesheet" href="prose.css" type="text/css"/>
        </head>
        <body>

            <p class="overviewlink"><a href="@org-netbeans-modules-projectui@/overview-summary.html">Overview</a></p>

            <h1>Introduction</h1>
            <p>This document lists changes made to the <a href="@org-netbeans-modules-projectui@/overview-summary.html">Project UI</a>.</p>

            <!-- The actual lists of changes, as summaries and details: -->
            <hr/>
            <standard-changelists module-code-name="org.netbeans.modules.projectui/1"/>
            <hr/>
            <p>@FOOTER@</p>

        </body>
    </htmlcontents>

</apichanges>
